<!DOCTYPE html>
<html lang="en">
  <head>
    <title>BlueAirErrors Structure Reference</title>
    <link rel="stylesheet" type="text/css" href="../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../js/jquery.min.js" defer></script>
    <script src="../js/jazzy.js" defer></script>
    
  </head>
  <body>
    <a name="//apple_ref/swift/Struct/BlueAirErrors" class="dashAnchor"></a>
    <a title="BlueAirErrors Structure Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../index.html">BlueAirSDK Docs</a> (45% documented)</p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../index.html">BlueAirSDK Reference</a>
        <img id="carat" src="../img/carat.png" />
        BlueAirErrors Structure Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Classes/BlueAirManager.html">BlueAirManager</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Enums/BlueAirSDKError.html">BlueAirSDKError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums.html#/s:10BlueAirSDK0aB9ScanErrorO">BlueAirScanError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/FanMode.html">FanMode</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/FanSpeed.html">FanSpeed</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/PeripheralConnectionState.html">PeripheralConnectionState</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Extensions/Collection.html">Collection</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Protocols/ScanDelegate.html">ScanDelegate</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Structs/BlueAirErrors.html">BlueAirErrors</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/BlueAirErrors/MainError.html">– MainError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/BlueAirErrors/PlugError.html">– PlugError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/BlueAirErrors/DuoError.html">– DuoError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/BlueAirErrors/NRFErrror.html">– NRFErrror</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/Datapoint.html">Datapoint</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/FilterUsage.html">FilterUsage</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>BlueAirErrors</h1>
              <div class="declaration">
                <div class="language">
                  <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">BlueAirErrors</span></code></pre>

                </div>
              </div>
            <p>Error class allowing to decode error code.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB6ErrorsV04plugD0SayAC9PlugErrorOGv"></a>
                    <a name="//apple_ref/swift/Property/plugErrors" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB6ErrorsV04plugD0SayAC9PlugErrorOGv">plugErrors</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Plug errors.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">private(set)</span> <span class="kd">public</span> <span class="k">var</span> <span class="nv">plugErrors</span><span class="p">:</span>   <span class="p">[</span><span class="kt"><a href="../Structs/BlueAirErrors/PlugError.html">PlugError</a></span><span class="p">]</span> <span class="o">=</span> <span class="p">[]</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB6ErrorsV04mainD0SayAC9MainErrorOGv"></a>
                    <a name="//apple_ref/swift/Property/mainErrors" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB6ErrorsV04mainD0SayAC9MainErrorOGv">mainErrors</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Main errors.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">private(set)</span> <span class="kd">public</span> <span class="k">var</span> <span class="nv">mainErrors</span><span class="p">:</span>   <span class="p">[</span><span class="kt"><a href="../Structs/BlueAirErrors/MainError.html">MainError</a></span><span class="p">]</span> <span class="o">=</span> <span class="p">[]</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB6ErrorsV03duoD0SayAC8DuoErrorOGv"></a>
                    <a name="//apple_ref/swift/Property/duoErrors" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB6ErrorsV03duoD0SayAC8DuoErrorOGv">duoErrors</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Duo errors.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">private(set)</span> <span class="kd">public</span> <span class="k">var</span> <span class="nv">duoErrors</span><span class="p">:</span>    <span class="p">[</span><span class="kt"><a href="../Structs/BlueAirErrors/DuoError.html">DuoError</a></span><span class="p">]</span> <span class="o">=</span> <span class="p">[]</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB6ErrorsV03nrfD0SayAC9NRFErrrorOGv"></a>
                    <a name="//apple_ref/swift/Property/nrfErrors" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB6ErrorsV03nrfD0SayAC9NRFErrrorOGv">nrfErrors</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>NRF errors.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">private(set)</span> <span class="kd">public</span> <span class="k">var</span> <span class="nv">nrfErrors</span><span class="p">:</span>    <span class="p">[</span><span class="kt"><a href="../Structs/BlueAirErrors/NRFErrror.html">NRFErrror</a></span><span class="p">]</span> <span class="o">=</span> <span class="p">[]</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB6ErrorsV4sizeSivZ"></a>
                    <a name="//apple_ref/swift/Variable/size" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB6ErrorsV4sizeSivZ">size</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Static constant holding the size of a Blueair device error in bytes.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="k">let</span> <span class="nv">size</span> <span class="o">=</span> <span class="mi">4</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB6ErrorsV9MainErrorO"></a>
                    <a name="//apple_ref/swift/Enum/MainError" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB6ErrorsV9MainErrorO">MainError</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Main errors enumeration.</p>

                        <a href="../Structs/BlueAirErrors/MainError.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">enum</span> <span class="kt">MainError</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB6ErrorsV9PlugErrorO"></a>
                    <a name="//apple_ref/swift/Enum/PlugError" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB6ErrorsV9PlugErrorO">PlugError</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Plug errors enumeration.</p>

                        <a href="../Structs/BlueAirErrors/PlugError.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">enum</span> <span class="kt">PlugError</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB6ErrorsV8DuoErrorO"></a>
                    <a name="//apple_ref/swift/Enum/DuoError" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB6ErrorsV8DuoErrorO">DuoError</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Duo errors enumeration.</p>

                        <a href="../Structs/BlueAirErrors/DuoError.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">enum</span> <span class="kt">DuoError</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB6ErrorsV9NRFErrrorO"></a>
                    <a name="//apple_ref/swift/Enum/NRFErrror" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB6ErrorsV9NRFErrrorO">NRFErrror</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>NRF errors enumeration.</p>

                        <a href="../Structs/BlueAirErrors/NRFErrror.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">enum</span> <span class="kt">NRFErrror</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2018 <a class="link" href="https://bitbucket.org/airboxlab/icp_sdk_release" target="_blank" rel="external">AirBoxLab</a>. All rights reserved. (Last updated: 2018-02-13)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.9.1</a>, a <a class="link" href="http://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
